#TEXSTAR
%define name    openofficethumbnail
%define rname 	OpenOfficeorgThumbnail
%define version 1.0.0

Name:           %{name} 
Summary:        Plugin for KDE file managers to preview OpenOffice.org files
Version:        %{version} 
Release:        %mkrel 5
Source:		%{rname}-%{version}.tar.gz
URL:		http://www.kde-look.org/content/show.php/OpenOffice.org+Thumbnail+plugin?content=110864
License:        GPL 
Group:          Graphical desktop/KDE4
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	kde-workspace
BuildRequires:	kdelibs-devel
Obsoletes:	%name < %version

%description
Plugin for KDE file managers (Dolphin and Konqueror) to preview OpenOffice.org files (Open Document Format) as Thumbnails.
You do not need to install OpenOffice.org for it to work (it only uses KDE API). 

%description -l fr
Plugin pour les gestionnaires de fichiers de KDE (Dolphin et Konqueror) pour visualiser les fichiers OpenOffice.org (Open Document Format) sous forme de vignettes. 
Vous n'avez pas besoin d'installer OpenOffice.org pour le faire fonctionner (il n'utilise que KDE API)

%description -l de
Plugin für KDE Dateimanager (Dolphin und Konqueror), um eine Vorschau OpenOffice.org-Dateien (Open Document Format) als Thumbnails. 
Sie brauchen nicht zu installieren OpenOffice.org damit es funktioniert (es verwendet nur KDE-API).

%description -l es
Plugin para los administradores de archivos de KDE (Dolphin y Konqueror) para previsualizar los archivos de OpenOffice.org (Open Document Format) como miniaturas. 
Usted no necesita instalar OpenOffice.org para que funcione (que sólo usa KDE API).

%description -l pl
Plugin dla menedżerów plików KDE (Dolphin oraz Konqueror) do podglądu plików OpenOffice.org (Open Document Format) w postaci miniatur. 
Nie musisz instalować OpenOffice.org go do pracy (tylko używa KDE API).

%description -l nl
Plugin til KDE fil ledere (delfiner og Konqueror) til forpremiere OpenOffice.org-filer (Open Document Format) som miniaturer. 
Du behøver ikke at installere OpenOffice.org for at arbejde (det kun bruger KDE API).

%prep
%setup -q -n %{rname}-%{version}

%build
%cmake_kde4
%make

%install
rm -fr %buildroot
make -C build DESTDIR=%buildroot install


%find_lang %name

%clean 
rm -rf $RPM_BUILD_ROOT 

%files -f %name.lang
%defattr(-,root,root) 
%_libdir/kde4/openofficeorgthumbnail.so
%_datadir/kde4/services/openofficeorgthumbnail.desktop


%changelog
* Mon Jun 25 2012 Neal <nealbrks0 at gmail dot com> 1.0.0-5pclos2012
- process

* Mon Jun 25 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 1.0.0-5_archie_2012
- rebuild

* Mon Feb 21 2011 texstar <texstar.com>
- rebuild against kde 4.6.0

* Thu Jan 28 2010 Texstar <texstar at gmail.com> 1.0.0-3pclos2010
- rebuild

* Sat Oct 03 2009 Texstar <texstar at gmail.com> 1.0.0-2pclos2010
- rebuild

* Sun Sep 20 2009 Texstar <texstar at gmail.com> 1.0.0-1pclos2009
- 1.0.0

* Mon Aug 24 2009 Texstar <texstar at gmail.com> 0.0.1-2pclos2009
- fix summary

* Mon Aug 24 2009 Texstar <texstar at gmail.com> 0.0.1-1pclos2009
- create for kde 4


